Table of Contents

Class: ProcessWriter | Twisted-0.19.0/twisted/internet/process.py
--- | ---
### (Internal) Helper class to write to Process's stdin. I am a helper which describes a selectable asynchronous writer to a process's stdin.
Base Classes |
--- | ---
abstract.FileDescriptor styles.Ephemeral
Methods |
--- | ---
__init__ connectionLost doRead fileno write writeSomeData
| __init__
    __init__ ( self,  proc )
Initialize, specifying a Process instance to connect to.
| connectionLost
    connectionLost ( self )
See abstract.FileDescriptor.connectionLost.
| doRead
    doRead ( self )
This does nothing.
| fileno
    fileno ( self )
Return the fileno() of my process's stdin.
| write
    write ( self,  data )
| writeSomeData
    writeSomeData ( self,  data )
Write some data to the open process.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0